Log in or register to post comments

Cannot upgrade to Vuforia 7.1.34 - Installer doesn't know where to put it...

May 11, 2018 - 11:25am #11

I am running Unity 2018.1.0f2.  First official 2018 release.  

I have a Vuforia project which mostly works, but the components are telling me to upgrade to 7.1.34.  It provides the link to download.  I have done that. 

From the zip was a setup file, which I run, which says "Setup will install Unity 2018.1 Vuforia AR Support in the following folder.  To install in a different folder, click Browse and select another folder.  Click Next to continue."

But the destination folder is empty.  It won't continue until I select a folder.  And I making up a folder to store it in and it said it was wrong.  I have no idea what folder it wants.  

 

Please note, I am using Windows and Unity Hub, which does not store Unity under the Program Files/Unity/ folder, but instead in Program Files/Unity/Hub/Editor under a named version folder, in this case 2018.1.0f2.

Any ideas?

Cannot upgrade to Vuforia 7.1.34 - Installer doesn't know where to put it...

May 11, 2018 - 11:29am #10

I have seen a separate post that is similar, but it did not resolve my issue: https://developer.vuforia.com/forum/unity/vuforia-7134-unity2018-broken

Cannot upgrade to Vuforia 7.1.34 - Installer doesn't know where to put it...

May 11, 2018 - 11:43am #9

I had the same issue on mac, I quit unity and moved my unity installation to the old directory structure, installed the patch and then moved my unity installation back.

 

 

Cannot upgrade to Vuforia 7.1.34 - Installer doesn't know where to put it...

May 12, 2018 - 5:32pm #8

Having the same issue. Please advise Vuforia!

Cannot upgrade to Vuforia 7.1.34 - Installer doesn't know where to put it...

May 16, 2018 - 2:44am #7

please help

Cannot upgrade to Vuforia 7.1.34 - Installer doesn't know where to put it...

May 16, 2018 - 3:47pm #6

I selected "Program Files/Unity/" and it seemed to work fine

Cannot upgrade to Vuforia 7.1.34 - Installer doesn't know where to put it...

May 17, 2018 - 1:49pm #5

DanVioletSagmiller wrote:

I am running Unity 2018.1.0f2.  First official 2018 release.  

I have a Vuforia project which mostly works, but the components are telling me to upgrade to 7.1.34.  It provides the link to download.  I have done that. 

From the zip was a setup file, which I run, which says "Setup will install Unity 2018.1 Vuforia AR Support in the following folder.  To install in a different folder, click Browse and select another folder.  Click Next to continue."

But the destination folder is empty.  It won't continue until I select a folder.  And I making up a folder to store it in and it said it was wrong.  I have no idea what folder it wants.  

 

Please note, I am using Windows and Unity Hub, which does not store Unity under the Program Files/Unity/ folder, but instead in Program Files/Unity/Hub/Editor under a named version folder, in this case 2018.1.0f2.

Any ideas?

You should be able to select this folder within Unity Hub's directory to install 7.1.34. Does this not work for you?

Thanks,

Vuforia Support

Cannot upgrade to Vuforia 7.1.34 - Installer doesn't know where to put it...

May 18, 2018 - 8:23am #4

Same problem here on macOS with Unity Hub and the official release of Unity 2018.1.0f2. The installer just quits with an error. Seems as if Vuforia hasn't tested this in combination with the Unity Hub?! On macOS, it is not possible to select the installation folder manually, you can only select the installation volume. How am I supposed to install this new version then?

 

Cannot upgrade to Vuforia 7.1.34 - Installer doesn't know where to put it...

May 22, 2018 - 2:28pm #3

Hello waldgeist,

I did some investigation and was able to upgrade 2018.1.1f1 through the Unity Hub on Mac. It's a bit of a hassle so I'm discussing with the team if there is a way we can simplify this going forward.

The Unity Hub installs the individual versions of Unity you install in the following directory: Applications/Unity/Hub/Editor/

  1. Navigate to here and find the version of Unity you want to apply the 7.1.34 patch to
  2. Drag this directory, in my case named "2018.1.1f1," out to the Applications directory
  3. Rename the "Unity" directory in the Applications directory to something different (e.g. "Unity Hub Temp")
  4. Now rename the directory you dragged out, "2018.1.1f1" in my example, to just "Unity"
  5. Run the 7.1.34 package and it will install to this version, currently named "Unity"
  6. Rename this directory back to its original name, "2018.1.1f1"
  7. Move this back to where it was previously, Applications/Unity/Hub/Editor
  8. Finally rename "Unity Hub Temp" back to just "Unity"

You can now launch the Unity Hub and open this version of Unity. It should have Vuforia 7.1.34 installed.

Please let me know if you encounter any issues or need additional assistance here.

Thanks,

Vuforia Support

Cannot upgrade to Vuforia 7.1.34 - Installer doesn't know where to put it...

January 23, 2019 - 6:52am #2

If you use Unity Hub, the Vuforia installation directory should not be C:\Program Files\Unity but something like C:\Program Files\Unity\Hub\Editor\2018.3.2f1 if you want to install it in the Unity 2018.3.2f1 version.

Cannot upgrade to Vuforia 7.1.34 - Installer doesn't know where to put it...

January 25, 2019 - 6:40pm #1

That worked for me!  I was getting the same error and that fixed it on Mac.  Thank you!

Log in or register to post comments